import request from "@/utils/request";
import { TypeClassifyDTO, TypeClassifyThreeDTO } from "@/types/DTO/classifyDTO";

// 获取商品分类列表
export const getClassList = (query: Record<string, any>) => {
  return request<RespondPageType<TypeClassifyDTO>>({
    url: "/goods/class/list",
    method: "get",
    params: query,
  });
};

// 获取商品树形列表
export const getClassThreeList = (query: Record<string, any>) => {
  return request<RespondDataType<TypeClassifyThreeDTO[]>>({
    url: "/goods/class/classTree",
    method: "get",
    params: query,
  });
};

// 获取商品分类详情
export const getClassInfo = (data: number) => {
  return request<RespondDataType<TypeClassifyDTO>>({
    url: "/goods/class/" + data,
    method: "get",
  });
};

// 新增
export const saveClass = (data: Record<string, any>) => {
  return request<RespondDataType>({
    url: "/goods/class/add",
    method: "post",
    data: data,
  });
};

// 修改
export const updateClass = (data: Record<string, any>) => {
  return request<RespondDataType>({
    url: "/goods/class/upd",
    method: "post",
    data: data,
  });
};

// 删除
export const deleteClass = (data: number | number[]) => {
  return request<RespondDataType>({
    url: "/goods/class/" + data,
    method: "delete",
  });
};
